<!DOCTYPE html>
<html lang='fr'>
    <head>
        <title>Orinoco : presentation de produit</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
        <script src="https://kit.fontawesome.com/d03511beba.js" crossorigin="anonymous"></script>
        <link rel="stylesheet" href="./css/style.css">
    </head>
    <body>
        <main>
            <div class='site d-flex flex-column align-items-start'>
                <!-- TOP SITE-->
                <header class='site--header container-fluid'>
                    <!-- MENUE NAVIGATION -->
                    <div class='navigation row p-0 m-0' id='navigationSite'>
                        <nav class="navbar navbar-expand-sm navbar-light">
                            <a class="navbar-brand" href="#">
                                <img src='./imageSite/orinoco-logo-caddy.png' alt='logo orinico' height='40' width='169'/>
                            </a>
                            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
                            <span class="navbar-toggler-icon"></span>
                            </button>
                            <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                                <ul class="navbar-nav d-flex flex-row justify-content-around">
                                    <li class="nav-item active">
                                        <a class="nav-link" href="./index.html">Home <span class="sr-only">(current)</span></a>
                                    </li>
                                    <li class="nav-item dropdown">
                                        <a class="nav-link dropdown-toggle" href="./index.html" id="menuNavCategorie" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">La boutique</a>
                                        <div class="dropdown-menu" aria-labelledby="menuNavCategorie">
                                            <a class="dropdown-item disabled" href="./index.html">Ours en peluches</a>
                                            <a class="dropdown-item" href="./index.html">Appareil photos</a>
                                            <a class="dropdown-item disabled" href="./index.html">Meubles</a>
                                        </div>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" href="./caddy.html">Mon panier</a>
                                    </li>
                                </ul>
                            </div>
                        </nav>
                    </div>
                    <!-- CADDY MENU (xs sm md lg) -->
                    <div class='row' id='caddyMenueSm'>
                        <div class='caddyMenue col-12'>
                            <div class='caddyMenue--header row align-items-center'>
                                <p class='col-12 col-sm-4'>
                                    <a href='' class='btn btn-success btn-sm'>Mon panier</a>
                                </p>
                                <p class='col'>
                                    <sup data-update='caddyCount' class='badge badge-secondary'>0</sup>
                                    <i class="fas fa-shopping-cart"></i>
                                </p>
                                <p class='col'>
                                    <span data-update='caddyAmount'>00.00</span>
                                    <sup><i class="fas fa-euro-sign"></i></sup>
                                </p>
                            </div>
                        </div>
                    </div>
                </header>
               
                <!-- CENTER SITE-->
                <div class='site--content container p-0'>
                    <!-- CENTER SITE TOP-->
                    <div class='row' id='ariane'>
                        <div class='ariane col-12'>
                            <nav aria-label="breadcrumb">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="./index.html">Orinco</a></li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                    <!-- CENTER SITE CENTER-->
                    <div class='row'>
                        <!-- PAGE SITE-->
                        <div class='page col-12'>
                            <header class='page--header row'>
                                <h1 class='col-12'>Mon panier sur Orinoco</h1>
                            </header>
                            <div class='page--content row'>
                                <h2 class='col-12'>Detail de mes articles</h2>
                                <div class='caddyDetail col-12'>
                                    <div class='caddyDetail--header row align-items-center'>
                                        <p class='col'>
                                            <sup data-update='caddyCount' class='badge badge-secondary'>0</sup>
                                            <i class="fas fa-shopping-cart"></i>
                                        </p>
                                        <p class='col'>
                                            <span data-update='caddyAmount'>00.00</span>
                                        </p>
                                    </div>
                                    <div class='caddyDetail--body row'>
                                        <div data-update='caddyList' class='col-12'></div>
                                    </div>
                                    <div class='caddyDetail--footer row'>
                                        <span class='col-12'>Montant Total de vos achat <span data-update='caddyAmount'></span></span>
                                    </div>
                                </div>

                                <!-- formulair achat -->
                                
                                <div class='col-12' id='caddyValidate' style="display:none">
                                    <div class='row p-0 m-0'>
                                        <h2 class='col-12'>Valider mes achat</h2>
                                    </div>
                                    <div class='row p-0 m-0'>
                                        <form class='col-12 formBuy' id='formBuy'  method='post' action='./validate.html'>
                                            <!-- IDENTITY -->
                                            <fieldset>
                                                <div class='form-row'>
                                                    <div class='form-group col-12 col-sm-6 col-lg-4'>
                                                        <label for='formBuyFirstName'>Nom :</label>
                                                        <input type='text' id='formBuyFirstName' name='formBuyFirstName' class='form-control' pattern='[A-Za-z]{2,}([-| ]{1}[A-Za-z]{2,})*' required />
                                                    </div>
                                                    <div class='form-group col-12 col-sm-6 col-lg-4'>
                                                        <label for='formBuyLastName'>Prénom :</label>
                                                        <input type='text'  id='formBuyLastName' name='formBuyLastName' class='form-control' pattern='[A-Za-z]{2,}([-| ]{1}[A-Za-z]{2,})*' required />
                                                    </div>
                                                    <div class='form-group col-12 col-lg-4'>
                                                        <label for='formBuyEmail'>Adresse Mail :</label>
                                                        <input type='email' id='formBuyEmail' name='formBuyEmail' class='form-control' required />
                                                    </div>
                                                </div>
                                            </fieldset>
                                            <!-- ADRESS -->
                                            <fieldset>
                                                <div class='form-row'>
                                                    <div class='form-group col-3 col-sm-6 col-md-2'>
                                                        <label for='formBuyAdressNum'>N° :</label>
                                                        <input type='number' id='formBuyAdressNum' name='formBuyAddress[num]' class='form-control' required />
                                                    </div>
                                                    <div class='form-group col-9 col-sm-6 col-md-4'>
                                                        <label for='formBuyAdressVoie'>Adresse :</label>
                                                        <input type='text' id='formBuyAdressVoie' name='formBuyAddress[voie]' class='form-control' required />
                                                    </div>
                                                    <div class='form-group col-12 col-md-6'>
                                                        <label for='formBuyAdressComp'>complément d'adresse:</label>
                                                        <input type='text' id='formBuyAdressComp' name='formBuyAddress[comp]' class='form-control' />
                                                    </div>
                                                    <div class='form-group col-12 col-md-6'>
                                                        <label for='formBuyAdressZip'>Code postale</label>
                                                        <input type='text' id='formBuyAdressZip' name='formBuyAddress[zip]' pattern='[0-9]{5}' class='form-control' required />
                                                    </div>
                                                    <div class='form-group col-12 col-md-6'>
                                                        <label for='formBuyCity'>Ville :</label>
                                                        <input type='text' id='formBuyCity' name='formBuyCity' class='form-control' required />
                                                    </div>
                                                </div>
                                            </fieldset>
                                            <!-- CB IFNFOS-->
                                            <fieldset disabled>
                                                <div class='form-row'>
                                                    <div class='form-group col-12 col-md-6'>
                                                        <label for='formCbNum'>Numeros de carte :</label>
                                                        <input type='number' id='formCbNum' name='formCb[num]' class='form-control' readonly />
                                                    </div>
                                                    <div class='form-row col-6 col-md-3'>
                                                        <div class='form-group col'>
                                                            <label for='formCbDteM'>mois :</label>
                                                            <select id='formCbDteM' name='formCb[mois]' class='form-control'>
                                                                <option>01</option>
                                                            </select>
                                                        </div>
                                                        <div class='form-group col'>
                                                            <label for='formCbDteY'>annees :</label>
                                                            <select id='formCbDteY' name='formCb[annee]' class='form-control'>
                                                                <option>2021</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class='form-group col-6 col-md-3'>
                                                        <label for='formCbCrypto'>Crypto :</label>
                                                        <input type='number' id='formCbCrypto' name='formCb[crypto]' class='form-control'/>
                                                    </div>
                                                </div>
                                            </fieldset>
                                            <button type="submit" class='btn btn-primary'>Valider</button>
                                        </form>
                                    </div>
                                </div> 

                            </div>
                        </div>
                    </div>
                </div>
                   <!-- footer document-->
                <footer class='site--footer container-fluid mb-0 mt-auto'>
                    <div class="row">
                        <ul class='col nav justify-content-center'>
                            <li class='nav-item'>
                                <a class='nav-link' href="#ariane">Haut de la page</a>
                            </li>
                            <li class='nav-item'>
                                <a class='nav-link' href="caddy.html">Mon panier</a>
                            </li>
                        </ul>
                    </div>
                    <div class='row'>
                        <div class='col text-center'>
                            Orinoco : livrable n°5 formation develepeur web sur <a href='https://openclassrooms.com'>Openclassrooms</a> par : <a href="mailto:will.saoulak@gmail.com">William saoulak</a>
                        </div>
                    </div>
                </footer>
            </div>
            <!-- template -->
            <div class='template'>
                <!-- AUCUN ARTICLE -->
                <div id='noArticle'><p class='noArticle col-12 '>Aucun article !</p></div>
                <!-- DETAIL ARTICLE LIGNE-->
                <div id='caddyDetailLine'>
                    <div class='caddyDetailLine row align-items-center'>
                        <div class='caddyDetailLine--name col-6 col-sm-4 col-xl-2'>
                            <a data-update='caddyLinePageLink' href='#' class='text-secondary'>
                                <span data-update='caddyLineName'></span>
                            </a>
                        </div>
                        <div class='caddyDetailLine--option col-6 col-sm-4 col-xl-2'>
                            <span data-update='caddyLineCurrentOption'></span>
                        </div>
                        <div class='caddyDetailLine--price col-6 col-sm-4 col-xl-3'>
                            <span data-update='caddyLinePrice'></span>
                        </div>
                        <div class='caddyDetailLine--action col-6 col-sm-12 col-md-6 col-xl-2 d-flex justify-content-center align-items-center'>
                            <button data-action='remove' class='btn btn-sm btn-action'>-</button>
                            <button data-update='caddyLineQt' class='btn btn-sm'>0</button>
                            <button data-action='add' class='btn btn-sm btn-action'>+</button>
                        </div>
                        <div class='caddyDetailLine--amount col-12 col-md-6 col-xl-3'>
                            Total : <span data-update='caddyLineAmount'></span>
                        </div>
                    </div>
                </div>
            </div>
        </main>
<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"> </script>
<script src="js/class.js"></script>
<script src="js/main.js"></script>
<script>main();</script>
    </body>
</html>